package com.steering.common;

import CoreFS.SA06.CoreReturnObject;
import CoreFS.SA08.CoreXmlSqlParsersFactory;

import com.steering.comm.converter.CoreConverter;

public class WarehousePermissions extends DBCommon{
	/**
     * 销售组织权限
     * @param validDataPurviewIds 数据权限
     * @return CoreReturnObject
     */
    public CoreReturnObject getSalgPermissions(String[] validDataPurviewIds) {
        String sql = CoreXmlSqlParsersFactory
                .getSql("WarehousePermissions.getSalgPermissions");
        sql += CoreConverter.toSqlConditionString("T.DEPARTID",
                validDataPurviewIds);
        return this.getData(sql);
    }
}
